Bug 852351 - PostgreSQL port is still listed after removing it from zend app
PostgreSQL port is still listed after removing it from zend app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 05:09 EDT by joycezhang
Modified: 2015-05-14 18:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-08-28 05:09:17 EDT
Description of problem:
Postgresql port is always listed after removing it from zend app.
 rhc port-forward -a zend1
Password: *

Checking available ports...

Binding httpd -> 127.1.1.129:16083...
Binding httpd -> 127.1.1.129:8080...
Binding httpd -> 127.1.1.130:8080...
Binding httpd -> 127.1.1.131:8080...
Binding lighttpd -> 127.1.1.129:16081...
Binding postgres -> 127.1.1.129:5432...
Use ctl + c to stop



Version-Release number of selected component (if applicable):
devenv_2805
rhc.0.98.3.gem

How reproducible:
always


Steps to Reproduce:
1. Create a zend app
#rhc app create -a zend1 -t zend-5.6 -d
2. Add postgresql to this app
#rhc app cartridge add -a zend1 -c postgresql-8.4 -p a
3. Run rhc port-forward 
4. Remove postgresql from this app
#rhc app cartridge remove -a zend1 -c postgresql-8.4 -p a
5. Check the postgresql port again
#rhc port-forward -a zend1
  
Actual results:
Postgresql port is still availabe even if after restarting this app. T


Expected results:
Postgresql port is not listed as the cartridge has been removed.


Additional info:
1. Mongodb and mysql work fine for zend app.
2. Postgresql works fine with other app like ruby-1.8.
Comment 1 Rob Millner 2012-09-27 20:16:18 EDT
I can't get this to reproduce on devenv_2245.

$ rhc port-forward -p vostok08 -a zend1
Checking available ports...

Binding httpd -> 127.0.250.129:8080...
Binding httpd -> 127.0.250.130:16083...
Binding httpd -> 127.0.250.130:8080...
Binding lighttpd -> 127.0.250.130:16081...
Binding postgres -> 127.0.250.130:5432...

Use ctl + c to stop
^CKilled by signal 2.

$ rhc app cartridge remove -a zend1 -c postgresql-8.4 -p vostok08

RESULT:
Success
$ rhc port-forward -a zend1
Password: 
Checking available ports...

Binding httpd -> 127.0.250.129:8080...
Binding httpd -> 127.0.250.130:16083...
Binding httpd -> 127.0.250.130:8080...
Binding lighttpd -> 127.0.250.130:16081...

Use ctl + c to stop
^CKilled by signal 2.
Comment 2 Jianwei Hou 2012-09-28 01:43:41 EDT
Verified on devenv_2248

1. Create a zend app embedded with postgresql
2. port-foward app

hjw@my ~$ rhc port-forward -a zend1
Password: ***

Checking available ports...
Binding httpd -> 127.1.2.129:16083...
Binding httpd -> 127.1.2.129:8080...
Binding lighttpd -> 127.1.2.129:16081...
Binding postgres -> 127.1.2.129:5432...
Forwarding ports, use ctl + c to stop

3. remove postgresql and port-foward app again

hjw@my ~$ rhc port-forward -a zend1
Password: ***

Checking available ports...
Binding httpd -> 127.1.2.129:16083...
Binding httpd -> 127.1.2.129:8080...
Binding lighttpd -> 127.1.2.129:16081...
Forwarding ports, use ctl + c to stop

So, move this bug to verified.

Note You need to log in before you can comment on or make changes to this bug.